## ros-melodic-computer-status-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(computer_status_msgs)
find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)

add_message_files(
  FILES
  AccelerometerState.msg
  AccessPoint.msg
  BatteryServer.msg
  BatteryState.msg
  DashboardState.msg
  GPUStatus.msg
  PeriodicCmd.msg
  PowerBoardState.msg
  PowerState.msg
  PressureState.msg
)

add_service_files(
  FILES
  SetPeriodicCmd.srv
)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(CATKIN_DEPENDS std_msgs geometry_msgs message_runtime)

=== debian/changelog ===
ros-melodic-computer-status-msgs (2.0.0-2stretch) stretch; urgency=high

  * Moved out of PR2 repo family to a new repo.
  * Remove outdated msgs, 2) Remove irrelevant msg and a .srv #1 <https://github.com/130s/computer_status_msgs/issues/1> based on the feedback https://github.com/PR2/pr2_common/issues/286#issuecomment-695975839
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 20 Sep 2020 04:00:00 -0000

ros-melodic-computer-status-msgs (1.13.0-2stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 11 Aug 2020 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.4-2stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Wed, 24 Apr 2019 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.3-2stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Mon, 10 Sep 2018 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.2-2stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Wed, 18 Apr 2018 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.1-2stretch) stretch; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 13 Feb 2018 05:00:00 -0000

ros-melodic-computer-status-msgs (1.11.9-2stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 10 Feb 2015 05:00:00 -0000

ros-melodic-computer-status-msgs (1.11.8-2stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 13 Jan 2015 05:00:00 -0000

ros-melodic-computer-status-msgs (1.11.7-2stretch) stretch; urgency=high

  * Fixed changelogs manually
  * Merge conflicts
  * Changelogs
  * Changelogs
  * Changelogs
  * Changelogs
  * Contributors: TheDash, dash

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Mon, 12 Jan 2015 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-computer-status-msgs
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/computer_status_msgs
Standards-Version: 3.9.2

Package: ros-melodic-computer-status-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Messages definitions for representing computer's hardware state, such as battery information, GPU, some miscellaneous sensors.
 Format is in ROS. Originally developed at pr2_common repository

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-computer-status-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-computer-status-msgs 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(computer_status_msgs)
find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)

add_message_files(
  FILES
  AccessPoint.msg
  GPUStatus.msg
)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(CATKIN_DEPENDS std_msgs geometry_msgs message_runtime)

=== debian/changelog ===
ros-melodic-computer-status-msgs (2.1.0-2bionic) bionic; urgency=high

  * [fix] Remove invalid, PR2 specific msgs #4 <https://github.com/plusone-robotics/computer_status_msgs/issues/4>

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 18 Sep 2021 04:00:00 -0000

ros-melodic-computer-status-msgs (2.0.0-2bionic) bionic; urgency=high

  * Moved out of PR2 repo family to a new repo.
  * Remove outdated msgs, 2) Remove irrelevant msg and a .srv #1 <https://github.com/130s/computer_status_msgs/issues/1> based on the feedback https://github.com/PR2/pr2_common/issues/286#issuecomment-695975839
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sun, 20 Sep 2020 04:00:00 -0000

ros-melodic-computer-status-msgs (1.13.0-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 11 Aug 2020 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.4-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Wed, 24 Apr 2019 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.3-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Mon, 10 Sep 2018 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.2-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Wed, 18 Apr 2018 04:00:00 -0000

ros-melodic-computer-status-msgs (1.12.1-2bionic) bionic; urgency=high

  * Merge pull request #267 <https://github.com/pr2/pr2_common/issues/267> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 13 Feb 2018 05:00:00 -0000

ros-melodic-computer-status-msgs (1.11.9-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 10 Feb 2015 05:00:00 -0000

ros-melodic-computer-status-msgs (1.11.8-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 13 Jan 2015 05:00:00 -0000

ros-melodic-computer-status-msgs (1.11.7-2bionic) bionic; urgency=high

  * Fixed changelogs manually
  * Merge conflicts
  * Changelogs
  * Changelogs
  * Changelogs
  * Changelogs
  * Contributors: TheDash, dash

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Mon, 12 Jan 2015 05:00:00 -0000
